[arch-commits] Commit in sg3_utils/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Nov 1 09:51:34 EST 2009


    Date: Sunday, November 1, 2009 @ 09:51:33
  Author: jgc
Revision: 57693

Merged revisions 57691 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/sg3_utils/trunk

........
  r57691 | jgc | 2009-11-01 15:51:11 +0100 (Sun, 01 Nov 2009) | 2 lines
  
  upgpkg: sg3_utils 1.28-1
      Update to 1.28, zip manpages this time
........

Modified:
  sg3_utils/repos/extra-i686/	(properties)
  sg3_utils/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: sg3_utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /sg3_utils/trunk:1-43973
   + /sg3_utils/trunk:1-57691

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-01 14:51:23 UTC (rev 57692)
+++ extra-i686/PKGBUILD	2009-11-01 14:51:33 UTC (rev 57693)
@@ -1,24 +1,25 @@
 #$Id$
 # Maintainer: Daniel Isenmann <daniel at archlinux.org>
 pkgname=sg3_utils
-pkgver=1.27
-pkgrel=2
+pkgver=1.28
+pkgrel=1
 pkgdesc="Generic SCSI utilities"
 arch=(i686 x86_64)
 url="http://sg.danny.cz/sg/sg3_utils.html"
 license=('GPL' 'custom:BSD')
 depends=('glibc')
 options=('!libtool')
-source=("http://sg.danny.cz/sg/p/${pkgname}-${pkgver}.tgz" "stdint.patch")
-md5sums=('de42374a6ba11258f1963134542af12c'
+source=(http://sg.danny.cz/sg/p/${pkgname}-${pkgver}.tgz
+        stdint.patch)
+md5sums=('e59d5eb56475e2443b6188cf50ac8f67'
          '795480007541389d2ceebb364c75dbcf')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -p0 < ../stdint.patch || return 1
+  patch -Np0 -i "${srcdir}/stdint.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list